<template>
  <div class='road-map-mb container'>
    <div class='road-map-mb__list'>
      <div v-for='(item, index) in $t("list")' :key='index' class='road-map-mb__item'>
        <span>{{item.name}}</span>
        <p>{{ item.text }}</p>
      </div>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "list":[
      {
        "name":"May 2020",
        "text":"Wallet TBCC"
      },
      {
        "name":"Summer 2020",
        "text":"Token launch"
      },
      {
        "name":"Winter 2020",
        "text":"Partnering with Binance Cloud"
      },
      {
        "name":"Autumn 2021",
        "text":"Exchange launch"
      },
      {
        "name":"Winter 2021",
        "text":"Trading volume exceeds $150,000,000 /week"
      },
      {
        "name":"Spring 2022",
        "text":"Staking launch "
      },
      {
        "name":"Summer 2022",
        "text":"TBCC Pay Launch"
      },
      {
        "name":"Summer-Autumn 2022",
        "text":"Launch of TBCC HUB (Turkey, Asia, MENA, CIS, Europe)"
      },
      {
        "name":"Autumn 2022",
        "text":"Launch of the investment room"
      }
    ]
  },
  "ch": {
    "list":[
      {
        "name":"2020年5月",
        "text":"TBCC钱包"
      },
      {
        "name":"2020年夏季",
        "text":"代币发行"
      },
      {
        "name":"2020年冬季",
        "text":"与Binance Cloud合作"
      },
      {
        "name":"2021年秋季",
        "text":"交易所启动"
      },
      {
        "name":"2021年冬季",
        "text":"交易量超过150,000,000美元/周"
      },
      {
        "name":"2022年春季",
        "text":"权益质押启动"
      },
      {
        "name":"2022年夏季",
        "text":"TBCC 支付启动"
      },
      {
        "name":"2022年夏季-秋季",
        "text":"启动TBCC HUB（土耳其、亚洲、中东和北非、独联体、欧洲）。"
      },
      {
        "name":"2022年秋",
        "text":"启动投资室"
      }
    ]
  },
  "tur": {
    "list":[
      {
        "name":"May 2020",
        "text":"Wallet TBCC"
      },
      {
        "name":"Summer 2020",
        "text":"Token launch"
      },
      {
        "name":"Winter 2020",
        "text":"Partnering with Binance Cloud"
      },
      {
        "name":"Autumn 2021",
        "text":"Exchange launch"
      },
      {
        "name":"Winter 2021",
        "text":"Trading volume exceeds $150,000,000 /week"
      },
      {
        "name":"Spring 2022",
        "text":"Staking launch "
      },
      {
        "name":"Summer 2022",
        "text":"TBCC Pay Launch"
      },
      {
        "name":"Summer-Autumn 2022",
        "text":"Launch of TBCC HUB (Turkey, Asia, MENA, CIS, Europe)"
      },
      {
        "name":"Autumn 2022",
        "text":"Launch of the investment room"
      }
    ]
  }
}
</i18n>

<script>
export default {
  data() {
    return {
      list: [
        {
          name: 'May 2020',
          text: 'Wallet TBCC'
        },
        {
          name: 'Summer 2020',
          text: 'Token launch'
        },
        {
          name: 'Winter 2020',
          text: 'Partnering with \n' +
            'Binance Cloud '
        },
        {
          name: 'Autumn 2021',
          text: 'Exchange launch'
        },
        {
          name: 'Winter 2021',
          text: 'Trading volume exceeds $150,000,000 /week'
        },
        {
          name: 'Spring 2022',
          text: 'Staking launch '
        },
        {
          name: 'Summer 2022',
          text: 'TBCC Pay Launch'
        },
        {
          name: 'Summer-Autumn 2022',
          text: 'Launch of TBCC HUB (Turkey, Asia, MENA, CIS, Europe)'
        },
        {
          name: 'Autumn 2022',
          text: 'Launch of the investment room'
        },
      ]
    }
  }
}
</script>

<style lang='scss' scoped>
.road-map-mb {
  max-width: 325px;
  width: 100%;
  position: relative;
  z-index: 1;

  &::after {
    content: '';
    width: 2px;
    height: 565px;
    position: absolute;
    background: linear-gradient(34.2deg, #051345 -0.14%, #2A44A2 17.48%, #2D4497 39.2%);
    top: 50%;
    left: 16px;
    overflow: visible;
    transform: translateY(-50%);
    z-index: -1;
  }

  &__list {
    display: flex;
    flex-direction: column;
    height: 470px;
    overflow-y: auto;
    position: relative;
    z-index: 2;
  }

  &__item {
    padding-left: 40px;
    margin-bottom: 40px;

    span {
      font-weight: 600;
      background: linear-gradient(103.34deg, #589BFF 42.34%, #4E5FFF 134.38%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      font-size: 16px;
      position: relative;

      &::before {
        content: '';
        position: absolute;
        left: -40px;
        top: 50%;
        transform: translateY(-50%);
        width: 18px;
        height: 18px;
        background-image: url("../../assets/img/road-map-circle.svg");
        background-repeat: no-repeat;
        background-position: center;
        overflow: visible;
      }
    }

    p {
      font-weight: 500;
      font-size: 16px;
      line-height: 20px;
      color: #FFFFFF;
      max-width: 225px;
      margin: 15px 0 0;
    }
  }
}
</style>
